/*
 * setup.h: The setup for the Atmolight-plugin
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#ifndef _ATMO_SETUP__H
#define _ATMO_SETUP__H

#include <vdr/plugin.h>

class cAtmoSetup {
public:
  // internal status
  bool atmo_on; // Atmolight on/off

  // saved parameters
  int SleepTime;    // milli-seconds
  int PercentNew;   // percentage of new color (for filtering)
  int SatOffset;    // saturation offset
  int DarkLimit;    // HSV.V < limit -> HSV.V=0 (no light)
  int Mode;         // atmolight-mode
  int StaticRed;    // static mode: red
  int StaticGreen;  // static mode: green
  int StaticBlue;   // static mode: blue
  int CalibRed;     // calibration mode: red
  int CalibGreen;   // calibration mode: green
  int CalibBlue;    // calibration mode: blue
  int RawRed;       // raw mode: red
  int RawGreen;     // raw mode: green
  int RawBlue;      // raw mode: blue

  cAtmoSetup();
  bool SetupParse(const char *Name, const char *Value);
  void GetStartMode(void);
};
extern cAtmoSetup AtmoSetup;

class cMenuSetupAtmo : public cMenuSetupPage {
private:
  void Set();
protected:
  virtual void Store(void);
  virtual eOSState ProcessKey(eKeys Key);
public:
  cMenuSetupAtmo(void);
};

#endif // _ATMO_SETUP__H
